API Reference
Access Nuncio list data programmatically with our public API.
Base URL
https://nuncio.app/api/publicEndpoints
Get List
GET /api/public/lists/{slug}Returns list details with all events.
Response
{
"success": true,
"data": {
"id": "...",
"name": "Summer Tour 2025",
"slug": "summer-tour-2025",
"description": "...",
"visibility": "PUBLIC",
"profile": {
"firstName": "John",
"username": "johndoe"
},
"items": [
{
"id": "...",
"slug": "madison-square-garden-aug-15",
"nuncioEvent": {
"id": "...",
"title": "Concert Title",
"eventDate": "2025-08-15T00:00:00.000Z",
"venueName": "Madison Square Garden",
"locationCity": "New York",
"artistNames": ["Artist One", "Artist Two"],
"ticketUrl": "https://..."
}
}
]
}
}Export as JSON (Schema.org)
GET /api/public/lists/{slug}/jsonReturns list as Schema.org ItemList with MusicEvent items.
Export as iCal
GET /api/public/lists/{slug}/icalReturns list as iCalendar (.ics) file for calendar import.
Export as RSS
GET /api/public/lists/{slug}/rssReturns list as RSS feed for subscription.
Live Feed
GET /api/public/feedReturns 10 most recent events from public lists.
CORS
All public endpoints include CORS headers allowing requests from any origin:
Access-Control-Allow-Origin: *Rate Limits
Public API endpoints are rate-limited. Please be respectful with request frequency.
Error Responses
404 Not Found
{
"success": false,
"error": "List not found"
}403 Forbidden
{
"success": false,
"error": "This list is private"
}